Bug 920025 - [abrt] system-config-language-1.3.5-19.fc18: tui_install.py:395:is_group_installed:GroupsError: No Group named spanish-support exists
Summary: [abrt] system-config-language-1.3.5-19.fc18: tui_install.py:395:is_group_inst...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-language
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:532d45a33121080fe70c898f7c1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-11 08:00 UTC by goesrex
Modified: 2014-02-05 03:41 UTC (History)
5 users (show)

Fixed In Version: system-config-language-1.4.0-8.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-19 04:01:21 UTC


Attachments (Terms of Use)
File: backtrace (928 bytes, text/plain)
2013-03-11 08:00 UTC, goesrex
no flags Details
File: core_backtrace (568 bytes, text/plain)
2013-03-11 08:01 UTC, goesrex
no flags Details
File: environ (247 bytes, text/plain)
2013-03-11 08:01 UTC, goesrex
no flags Details

Description goesrex 2013-03-11 08:00:55 UTC
Description of problem:
I installed system-config-language and I executed it in language spanish. Then the program alerted me about a error. Immediately I removed it.

Version-Release number of selected component:
system-config-language-1.3.5-19.fc18

Additional info:
cmdline:        /usr/bin/python /usr/share/system-config-language/system-config-language.py
executable:     /usr/share/system-config-language/system-config-language.py
kernel:         3.8.1-201.fc18.x86_64
uid:            0

Truncated backtrace:
tui_install.py:395:is_group_installed:GroupsError: No Group named spanish-support exists

Traceback (most recent call last):
  File "/usr/share/system-config-language/system-config-language.py", line 71, in <module>
    useTextMode()
  File "/usr/share/system-config-language/system-config-language.py", line 37, in useTextMode
    app = language_tui.childWindow()
  File "/usr/share/system-config-language/language_tui.py", line 173, in __init__
    rc = LanguageWindow()(screen)
  File "/usr/share/system-config-language/language_tui.py", line 88, in __call__
    if not install.is_group_installed(grpid):
  File "/usr/share/system-config-language/tui_install.py", line 395, in is_group_installed
    raise Errors.GroupsError, "No Group named %s exists" % grpid
GroupsError: No Group named spanish-support exists

Local variables in innermost frame:
self: <tui_install.tuiInstall object at 0x13cf590>
grpid: 'spanish-support'

Comment 1 goesrex 2013-03-11 08:00:58 UTC
Created attachment 708232 [details]
File: backtrace

Comment 2 goesrex 2013-03-11 08:01:00 UTC
Created attachment 708233 [details]
File: core_backtrace

Comment 3 goesrex 2013-03-11 08:01:03 UTC
Created attachment 708234 [details]
File: environ

Comment 4 Parag Nemade 2013-03-11 10:28:47 UTC
Currently, the only way to install your language support is to use command
yum langinstall es_ES

Since comps got changed system-config-language no longer installs full or any language support for any language. 

Fix will be provided soon to system-config-language.

Comment 5 Parag Nemade 2013-12-16 17:11:19 UTC
Currently yum groups behaviour is broken in Fedora 20 due to removed language support groups and yum started using groups as objects now. The better solution can be provided is to stop reporting this as a error and have some more meaningful informative message like "Due to comps cleanup %s group got removed and no longer exists. Therefore only setting the default system language".

Comment 6 Fedora End Of Life 2013-12-21 15:39:07 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Jens Petersen 2014-01-15 06:42:03 UTC
Moving to F19 based on proceeding comments.

Comment 8 anish 2014-01-15 06:42:27 UTC
Tested this bug on F20, s-c-l does not crash anymore, sytem's default locale has changed to spanish

Comment 9 Jens Petersen 2014-01-15 06:52:58 UTC
Okay from comment 8 1.4.0-6.fc19 should fix this on f19 I guess.

Comment 10 Parag Nemade 2014-01-15 17:39:31 UTC
This is text mode/command line issue while executing system-config-language. Fixed in upstream. Fix will be backported.

Comment 11 Parag Nemade 2014-01-16 04:36:41 UTC
Fixed in system-config-language-1.4.0-7.fc20 build on koji.

Comment 12 Fedora Update System 2014-01-16 04:38:52 UTC
system-config-language-1.4.0-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-language-1.4.0-7.fc20

Comment 13 Fedora Update System 2014-01-16 05:09:53 UTC
system-config-language-1.4.0-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-language-1.4.0-7.fc19

Comment 14 Fedora Update System 2014-01-17 05:41:53 UTC
Package system-config-language-1.4.0-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-language-1.4.0-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0976/system-config-language-1.4.0-7.fc20
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2014-01-19 04:01:21 UTC
system-config-language-1.4.0-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-01-27 06:26:51 UTC
system-config-language-1.4.0-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-language-1.4.0-8.fc19

Comment 17 Fedora Update System 2014-02-05 03:41:55 UTC
system-config-language-1.4.0-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.